package com.zipcodewilmington.bankaccountlab;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class CheckingAccountTest {
    CheckingAccount ca = new CheckingAccount(500);
    @Test
    public void getBalance() {
        //given
        int expected = 500;
        int actual = ca.getBalance();
        Assert.assertEquals(expected,actual);
    }
    @Test
    public void withdraw(){
        int balance = 500;

        ca.setBalance(balance);
        ca.withdraw(500);
        int expected = 0;
        int actual = ca.getBalance();
        Assert.assertEquals(expected,actual);
    }

}